Bug 484288 - PackageKit crash on local RPM install : 'ascii' codec can't decode byte [...]: ordinal not in range
PackageKit crash on local RPM install : 'ascii' codec can't decode byte [...]...
Status: CLOSED DUPLICATE of bug 480440
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
10
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 16:24 EST by Loic
Modified: 2009-03-27 09:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 09:45:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Loic 2009-02-05 16:24:19 EST
Description of problem:

When installing a package from local file (VMware-server-2.0.0-122956.x86_64.rpm), a popup appears and asks me to report the following to "my distribution bug tracking system" :

Error Type: <type 'exceptions.UnicodeDecodeError'>
Error Value: 'ascii' codec can't decode byte 0xc3 in position 65: ordinal not in range(128)
  File : /usr/lib/python2.5/site-packages/yum/rpmtrans.py, line 376, in callback
    self._instProgress( bytes, total, h )
  File : /usr/lib/python2.5/site-packages/yum/rpmtrans.py, line 457, in _instProgress
    self.complete_actions, self.total_actions)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2173, in event
    self._showName(self.info_actions[action])
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2166, in _showName
    self.base.package(package_id, status, self.curpkg.summary)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 224, in package
    PackageKitBaseBackend.package(self, package_id, status, summary)
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 109, in package
    print >> sys.stdout, "package\t$s\t$s\t$s" $ (status, package_id, summary)


Version-Release number of selected component (if applicable):

[loic@localhost ~]$ rpm -qa |grep packagekit
gnome-packagekit-0.3.13-1.fc10.x86_64

How reproducible:

Everytime I try on fedora 10.
This RPM installed just fine on Fedora 8.

Steps to Reproduce:
1.Download VMWare Server install RPM
2.double-click the install RPM
3.answer the questions until the install starts, and wait for it to crash
  
Actual results:

See above.
When clicking the "Close" button in this error window, the process terminates and the software isn't installed.

Expected results:

  Software properly installed

Additional info:

This very same RPM file installed just fine on Fedora 8 (backed it up before reinstalling my system with Fedora 10 tonight).

AMDx2 x86_64 with 2Gb RAM, fresh install of fedora 10
French locale
Comment 1 Alexey 2009-03-27 07:50:25 EDT
In fedora10 i386 with russian language it remains an actual problem.
Comment 2 Richard Hughes 2009-03-27 08:49:39 EDT
Is it just the vmware rpm, or others as well? Can you describe how I can reproduce this please -- also, is the problem still present on the alpha/beta livecd? Thanks.

Richard.
Comment 3 Alexey 2009-03-27 09:28:45 EDT
I receive this error with any .rpm 

You can reproduce this by:
1. install fedora 10 with default russian (or french, i think) language
2. download any .rpm (for example - adobe flash player rpm) and save it in default Downloads directory (in russian called загрузки)
3. run this .rpm file from Nautilus or by gnome-open from console

This problem still present on beta (i think) fedora i386 dvd. I have downloaded it from http://fedoraproject.org/ru/get-fedora-all -> i386 - Скачать DVD

http://download.fedoraproject.org/pub/fedora/linux/releases/10/Fedora/i386/iso/Fedora-10-i386-DVD.iso
Comment 4 Richard Hughes 2009-03-27 09:45:12 EDT

*** This bug has been marked as a duplicate of bug 480440 ***

Note You need to log in before you can comment on or make changes to this bug.